import CVModel, { RFObjectDetectionPrediction } from "../models/CVModel";
import { YOLOOptions } from "../models/yolov8";
export declare class Roboflow {
    url: string;
    dataset: string;
    version: string;
    publishable_key: string;
    fingerprint: string;
    options: YOLOOptions;
    constructor(url: string, dataset: string, version: string, publishable_key: string, options: YOLOOptions[]);
    generateFingerprint(): Promise<void>;
    hashCode(str: string): number;
    fetchAndLoadModel(): Promise<CVModel<RFObjectDetectionPrediction[]>>;
    fetchWeights(): Promise<RFOptions>;
}
export declare class RFOptions {
    model: string;
    size: number;
    modelType: string;
    icon: string;
    classes: string[];
}
