import * as tf from "@tensorflow/tfjs";
import CVImage from "../utils/image";
export default class CVModel<InferType> {
    constructor();
    initialize(...options: any): Promise<void>;
    infer(img: CVImage): Promise<InferType>;
    configure(...options: any): void;
    _loadRoboflowModel(modelURL: string): Promise<(tf.GraphModel<string | tf.io.IOHandler> | undefined)[]>;
}
export declare class RFObjectDetectionPrediction {
    class?: string;
    confidence?: number;
    bbox?: {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    color?: string;
}
