import { RFObjectDetectionPrediction } from "./CVModel";
import * as tf from "@tensorflow/tfjs";
import CVImage from "../utils/image";
import YOLOv8, { YOLOOptions } from "./yolov8";
export default class YOLOv5 extends YOLOv8 {
    model?: tf.GraphModel;
    async_model: boolean;
    constructor(options: YOLOOptions);
    initialize(): Promise<void>;
    infer(image: CVImage): Promise<RFObjectDetectionPrediction[]>;
    calculateMaxScoresYolov5(scores: Float32Array, numBoxes: number, numClasses: number): number[];
    getConfidenceYoloV5(scores: Float32Array, numBoxes: number, numClasses: number): number[];
    getBoxesYoloV5(scores: Float32Array, numBoxes: number, numClasses: number, scale_by: number): Float32Array;
}
