import * as tf from "@tensorflow/tfjs";
export default class CVImage {
    bitmapImage?: ImageBitmap;
    htmlImage?: HTMLImageElement | HTMLVideoElement;
    tensorImage?: tf.Tensor<tf.Rank.R3>;
    tensor4DImage?: tf.Tensor<tf.Rank.R4>;
    constructor(image: HTMLImageElement | HTMLVideoElement | tf.Tensor<tf.Rank.R3 | tf.Rank.R4> | ImageBitmap);
    bitmap(): Promise<ImageBitmap | undefined>;
    tensor(): tf.Tensor<tf.Rank.R3>;
    tensor4D(): Promise<tf.Tensor<tf.Rank.R4>>;
    array(): Promise<number[][][]>;
    dims(): number[];
    dispose(): void;
    static fromArray(array: tf.TensorLike): CVImage;
}
